View Issue Details

IDProjectCategoryView StatusLast Update
0004093SymmetricDSNew Featurepublic2019-10-21 17:00
ReporterelongAssigned Toelong 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.11.0 
Target Version3.11.0Fixed in Version3.11.0 
Summary0004093: Queue initial load in its own job
DescriptionMove the creation of initial load batches into a separate job. This will allow routing to continue putting changes into batches at the same time.

Some background: The initial load is currently queued up from inside the Router Service as the first thing it does. This can take a long time for systems with lots of tables and rows, which need row counts and all the batches created to hold them. Mean while, routing of changes is being held up. Traditionally, the Router Service has been the only process allowed to create sym_data_event and sym_outgoing_batch. If another process were to create them, the Router Service would pick up the new sym_data rows and route them a second time. Starting in version 3.10, SymmetricDS has a is_prerouted flag on sym_data that allows a separate process to create rows in sym_data, data_event, and outgoing_batch.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 ecf2ccc5

2019-10-11 15:57:21

admin

Details Diff
0004093: Queue initial load in its own job
0004093
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/BuiltInJobs.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/InitialLoadJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ISymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ClusterConstants.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IInitialLoadService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/InitialLoadService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.11 08a789b3

2019-10-17 16:15:18

admin

Details Diff
0004093: Queue initial load in its own job
0004093
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/InitialLoadService.java Diff File

SymmetricDS: 3.11 64dd32a0

2019-10-21 16:15:49

admin

Details Diff
0004093: Queue initial load in its own job
0004093
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/FileSyncTest.java Diff File

Issue History

Date Modified Username Field Change
2019-09-19 14:19 elong New Issue
2019-10-11 15:58 elong Assigned To => elong
2019-10-11 15:58 elong Status new => assigned
2019-10-11 16:00 admin Changeset attached => SymmetricDS 3.11 ecf2ccc5
2019-10-11 16:04 elong Status assigned => resolved
2019-10-11 16:04 elong Resolution open => fixed
2019-10-11 16:04 elong Fixed in Version => 3.11.0
2019-10-17 17:00 admin Changeset attached => SymmetricDS 3.11 08a789b3
2019-10-21 17:00 admin Changeset attached => SymmetricDS 3.11 64dd32a0